List shifts
curl --request GET \
--url https://api.rootly.com/v1/shifts \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"type": "shifts",
"attributes": {
"schedule_id": "<string>",
"rotation_id": "<string>",
"starts_at": "<string>",
"ends_at": "<string>",
"is_override": true,
"user_id": 123
},
"relationships": {
"shift_override": {
"data": {
"id": "<string>",
"type": "shift_overrides"
}
},
"user": {
"data": {
"id": "<string>",
"type": "users"
}
},
"assignee": {
"data": {
"id": "<string>",
"type": "<string>"
}
}
}
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
comma separated if needed. eg: shift_override,user. Note: user is deprecated, use assignee instead.
shift_override, user, assignee Start range for shifts in ISO-8601 format (e.g., 2025-01-01T00:00:00Z or 2025-01-01T00:00:00+00:00)
End range for shifts in ISO-8601 format (e.g., 2025-01-01T00:00:00Z or 2025-01-01T00:00:00+00:00)
success
Show child attributes
Was this page helpful?
curl --request GET \
--url https://api.rootly.com/v1/shifts \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"type": "shifts",
"attributes": {
"schedule_id": "<string>",
"rotation_id": "<string>",
"starts_at": "<string>",
"ends_at": "<string>",
"is_override": true,
"user_id": 123
},
"relationships": {
"shift_override": {
"data": {
"id": "<string>",
"type": "shift_overrides"
}
},
"user": {
"data": {
"id": "<string>",
"type": "users"
}
},
"assignee": {
"data": {
"id": "<string>",
"type": "<string>"
}
}
}
}
]
}